# Class: intervals_enrichment

## LocusZoom_DataLayers~intervals_enrichment()

Intervals-by-enrichment Data Layer

Implements a data layer that groups interval annotations by enrichment value (a fixed y-axis)

## Constructor

#### new intervals_enrichment()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.start_field` | string | <optional> | 'start' | The field that defines interval start position
`layout.end_field` | string | <optional> | 'end' | The field that defines interval end position
`layout.track_height` | number | <optional> | 10 | The height of each interval rectangle, in px
`layout.track_vertical_spacing` | number | <optional> | 3 |
`layout.bounding_box_padding` | number | <optional> | 2 |
`layout.color` | string | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | '#B8B8B8' | The color of each datum rectangle
`layout.fill_opacity` | number | Array.<module:LocusZoom_DataLayers~ScalableParameter> | <optional> | 0.5 | The opacity of each rectangle. The default is semi-transparent, because low-significance tracks may overlap very closely.
`layout.tooltip_positioning` | string | <optional> | 'vertical' |

Source:
  - ext/lz-intervals-enrichment.js, line 66
See:
  - module:LocusZoom_DataLayers~BaseDataLayer for additional layout options

### Members

#### (static, constant) default_layout

Source:
  - ext/lz-intervals-enrichment.js, line 46